package com.resteasy.series.upload.download.service;

import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;

import org.jboss.resteasy.plugins.providers.multipart.MultipartFormDataInput;

@Path("/fileservice")
public interface IFileService {

	// http://localhost:8080/RestEasy-UP-DOWN-Excel-File/resteasy/fileservice/download/xls  - Tomcat 7.0.x
	// http://localhost:9090/RestEasy-UP-DOWN-Excel-File/resteasy/fileservice/download/xls  - JBoss AS7
	@GET
	@Path("/download/xls")
	@Produces("application/vnd.ms-excel")
	public Response downloadExcelFile();

	// http://localhost:8080/RestEasy-UP-DOWN-Excel-File/resteasy/fileservice/upload/xls  - Tomcat 7.0.x
	// http://localhost:9090/RestEasy-UP-DOWN-Excel-File/resteasy/fileservice/upload/xls  - JBoss AS7
	@POST
	@Path("/upload/xls")
	@Consumes(MediaType.MULTIPART_FORM_DATA)
	public Response uploadExcelFile(MultipartFormDataInput multipartFormDataInput);
}